classification
Title: Expand the list of default dirs filecmp.dircmp ignores
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, eli.bendersky, eric.araujo, ezio.melotti, moijes12, python-dev, r.david.murray
Priority: low Keywords: easy, patch

Created on 2012-07-24 16:32 by eli.bendersky, last changed 2014-03-10 22:11 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
15442.patch moijes12, 2012-08-23 17:29 I've made the changes toDoc/library/filecmp.rst, Lib/filecmp.py. This is my first patch to python.I don't know how to compile python without having to install it but I'd sure like if someone showed me how to. I'd like to finish this and learn. review
eli_issue15442.1.patch eli.bendersky, 2013-01-10 14:59 review
Messages (14)
msg166306 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2012-07-24 16:32
The default ignore list of filecmp.dircmp is ['RCS', 'CVS', 'tags'].

This predates even Subversion! I suggest to freshen up this module to also ignore the dirs for SVN, Mercurial, Git and Bazaar.


[this is a new feature, so no earlier than 3.4...]
msg168962 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-23 19:47
Hi moijes12, for instructions on compiling and submitting patches, etc., see the Python Developer's Guide (aka the devguide).  You may also be interested in the Python Mentors Group: http://pythonmentors.com/

Lastly (a small point), in the future you can also type comments about your patch in the "Comment" text field in addition to the "File Description" text field.  You can do this in the same "Submit Changes" operation that you use to choose and upload your file.
msg169024 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-08-24 14:34
moijes12, thanks for the patch.  Since this is a new feature we'll need to wait until the 3.3 RC1 repo is branched before applying it.
msg172882 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2012-10-14 13:39
moijes12, why are the added names "raw" ?
msg172920 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-14 20:49
ISTM the names should be regular names, not regular expression patterns.
msg172964 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2012-10-15 12:29
I tend to agree with Éric here.

moijes12, would you like to send an updated patch without the raw literals, and with added tests for the new/changed functionality?
msg172986 - (view) Author: moijes12 (moijes12) Date: 2012-10-15 16:52
Yeah. I'm on it.
msg172992 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-15 17:44
Should __pycache__ be ignored too?
msg179338 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-08 11:41
> Should __pycache__ be ignored too?
Sounds good.

> I don't know how to compile python without having to install it
See the devguide http://docs.python.org/devguide
msg179554 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2013-01-10 14:59
Attaching an alternative patch, that goes one (little) step further. Instead of repeating the ignored list all over the place (code, docstrings, ReST docs), the module exposes DEFAULT_IGNORES so everything can refer to it.

Also added some tests for this feature.

The patch is only vs. default (3.4), of course.
msg179796 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-12 14:13
New changeset a1efab48d8f8 by Eli Bendersky in branch 'default':
Close #15442: Expand the list of default directories ignored by filecmp.dircmp and expose it as a module attribute
http://hg.python.org/cpython/rev/a1efab48d8f8
msg179825 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-12 17:59
+   .. versionadded:: 3.3

3.4*
msg179834 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2013-01-12 22:03
What? Where did you see 3.3? It says 3.4 ;-)

Thanks, fixed in 72ddb250f058
msg213098 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-10 22:11
New changeset 2b1d5caf63ca by R David Murray in branch 'default':
whatsnew: filecmp.DEFAULT_IGNORES (#15442)
http://hg.python.org/cpython/rev/2b1d5caf63ca
History
Date User Action Args
2014-03-10 22:11:22python-devsetmessages: + msg213098
2013-01-12 22:03:48eli.benderskysetmessages: + msg179834
2013-01-12 17:59:43eric.araujosetmessages: + msg179825
2013-01-12 14:13:56python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg179796

resolution: fixed
stage: test needed -> resolved
2013-01-10 14:59:51eli.benderskysetfiles: + eli_issue15442.1.patch

messages: + msg179554
2013-01-08 11:41:20eric.araujosetmessages: + msg179338
stage: needs patch -> test needed
2013-01-08 07:20:56ezio.melottisetnosy: + ezio.melotti
2013-01-07 17:40:30serhiy.storchakasetnosy: - serhiy.storchaka
2012-10-15 17:44:30serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg172992
2012-10-15 16:52:37moijes12setmessages: + msg172986
2012-10-15 12:29:50eli.benderskysetmessages: + msg172964
2012-10-14 20:49:01eric.araujosetnosy: + eric.araujo
messages: + msg172920
2012-10-14 13:39:14eli.benderskysetmessages: + msg172882
2012-08-24 14:34:22r.david.murraysetnosy: + r.david.murray
messages: + msg169024
2012-08-23 19:47:01chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg168962
2012-08-23 17:29:06moijes12setfiles: + 15442.patch
keywords: + patch
2012-08-23 14:42:55moijes12setnosy: + moijes12
2012-07-24 16:32:11eli.benderskycreate